Package org.eclipse.net4j.util.ref

## Class ReferenceValueMap.Soft<K,​V>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - org.eclipse.net4j.util.ref.ReferenceValueMap2<K,​V>
    - - org.eclipse.net4j.util.ref.ReferenceValueMap<K,​V>
      - - org.eclipse.net4j.util.ref.ReferenceValueMap.Soft<K,​V>

- All Implemented Interfaces:
    `java.util.concurrent.ConcurrentMap<K,​V>`, `java.util.Map<K,​V>`
  Enclosing class:
    ReferenceValueMap<K,​V>

      public static class ReferenceValueMap.Soft<K,​V>
      extends ReferenceValueMap<K,​V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap

      `ReferenceValueMap.Soft<K,​V>, ReferenceValueMap.Strong<K,​V>, ReferenceValueMap.Weak<K,​V>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Soft()` |
    `Soft​(java.util.concurrent.ConcurrentMap<K,​KeyedReference<K,​V>> map)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected KeyedReference<K,​V>` | `createReference​(K key, V value, java.lang.ref.ReferenceQueue<V> queue)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap

      `putIfAbsent, remove, replace, replace`

    - ### Methods inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap2

      `clear, containsKey, containsValue, createQueue, dereference, entrySet, get, internalPurgeQueue, isEmpty, purged, purgeQueue, put, remove, removeAll, size`

    - ### Methods inherited from class java.util.AbstractMap

      `clone, equals, hashCode, keySet, putAll, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.ConcurrentMap

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, replaceAll`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### Soft

          public Soft()

    - #### Soft

          public Soft​(java.util.concurrent.ConcurrentMap<K,​KeyedReference<K,​V>> map)

  - ### Method Detail

    - #### createReference

          protected KeyedReference<K,​V> createReference​(K key,
                                                              V value,
                                                              java.lang.ref.ReferenceQueue<V> queue)

      Specified by:
        `createReference` in class `ReferenceValueMap2<K,​V>`